zenilib: TDependencyGraph Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TDependencyGraph Class Reference

`#include <DependencyGraph.h>`

## Public Member Functions

| TDependencyGraph (TIntermNode *intermNode)
| ~TDependencyGraph ()
TGraphNodeVector::const_iterator | begin () const
TGraphSymbolVector::const_iterator | beginSamplerSymbols () const
TFunctionCallVector::const_iterator | beginUserDefinedFunctionCalls () const
TGraphArgument * | createArgument (TIntermAggregate *intermFunctionCall, int argumentNumber)
TGraphFunctionCall * | createFunctionCall (TIntermAggregate *intermFunctionCall)
TGraphLogicalOp * | createLogicalOp (TIntermBinary *intermLogicalOp)
TGraphLoop * | createLoop (TIntermLoop *intermLoop)
TGraphSelection * | createSelection (TIntermSelection *intermSelection)
TGraphNodeVector::const_iterator | end () const
TGraphSymbolVector::const_iterator | endSamplerSymbols () const
TFunctionCallVector::const_iterator | endUserDefinedFunctionCalls () const
TGraphSymbol * | getOrCreateSymbol (TIntermSymbol *intermSymbol)

## Detailed Description

Definition at line 139 of file DependencyGraph.h.

## Constructor & Destructor Documentation

TDependencyGraph::TDependencyGraph | ( | TIntermNode * | intermNode | ) |

Definition at line 12 of file DependencyGraph.cpp.

References TDependencyGraphBuilder::build().

TDependencyGraph::~TDependencyGraph | ( |  | ) |

Definition at line 17 of file DependencyGraph.cpp.

## Member Function Documentation

TGraphNodeVector::const_iterator TDependencyGraph::begin | ( |  | ) | const

inline

Definition at line 143 of file DependencyGraph.h.

Referenced by TDependencyGraphOutput::outputAllSpanningTrees().

TGraphSymbolVector::const_iterator TDependencyGraph::beginSamplerSymbols | ( |  | ) | const

inline

Definition at line 146 of file DependencyGraph.h.

Referenced by RestrictFragmentShaderTiming::enforceRestrictions().

TFunctionCallVector::const_iterator TDependencyGraph::beginUserDefinedFunctionCalls | ( |  | ) | const

inline

Definition at line 156 of file DependencyGraph.h.

Referenced by TCompiler::limitExpressionComplexity().

TGraphArgument * TDependencyGraph::createArgument | ( | TIntermAggregate * | intermFunctionCall,
|  | int | argumentNumber
| ) |  |

Definition at line 26 of file DependencyGraph.cpp.

TGraphFunctionCall * TDependencyGraph::createFunctionCall | ( | TIntermAggregate * | intermFunctionCall | ) |

Definition at line 34 of file DependencyGraph.cpp.

References TGraphFunctionCall::getIntermFunctionCall(), and TIntermAggregate::isUserDefined().

TGraphLogicalOp * TDependencyGraph::createLogicalOp | ( | TIntermBinary * | intermLogicalOp | ) |

Definition at line 81 of file DependencyGraph.cpp.

TGraphLoop * TDependencyGraph::createLoop | ( | TIntermLoop * | intermLoop | ) |

Definition at line 74 of file DependencyGraph.cpp.

Referenced by TDependencyGraphBuilder::visitLoop().

TGraphSelection * TDependencyGraph::createSelection | ( | TIntermSelection * | intermSelection | ) |

Definition at line 67 of file DependencyGraph.cpp.

Referenced by TDependencyGraphBuilder::visitSelection().

TGraphNodeVector::const_iterator TDependencyGraph::end | ( |  | ) | const

inline

Definition at line 144 of file DependencyGraph.h.

Referenced by TDependencyGraphOutput::outputAllSpanningTrees().

TGraphSymbolVector::const_iterator TDependencyGraph::endSamplerSymbols | ( |  | ) | const

inline

Definition at line 151 of file DependencyGraph.h.

Referenced by RestrictFragmentShaderTiming::enforceRestrictions().

TFunctionCallVector::const_iterator TDependencyGraph::endUserDefinedFunctionCalls | ( |  | ) | const

inline

Definition at line 161 of file DependencyGraph.h.

Referenced by TCompiler::limitExpressionComplexity().

TGraphSymbol * TDependencyGraph::getOrCreateSymbol | ( | TIntermSymbol * | intermSymbol | ) |

Definition at line 43 of file DependencyGraph.cpp.

References TIntermTyped::getBasicType(), TIntermSymbol::getId(), IsSampler(), and NULL.

Referenced by TDependencyGraphBuilder::visitSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.cpp